<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8" />
    <title>K-OFFICE</title>
    <base href="/" />
    <link
      href="https://fonts.googleapis.com/css?family=Roboto"
      rel="stylesheet"
    />
    <script src="//cdn.ckeditor.com/4.7.1/full/ckeditor.js"></script>
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <!-- <link rel="icon" type="image/x-icon" href="/assets/images/favicon.ico"> -->
    <style type="text/css">
      body,
      html {
        height: 100%;
        background: #fdf7ba;
      }

      .app-loading {
        position: relative;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        height: 100%;
      }

      .app-loading .spinner {
        height: 200px;
        width: 200px;
        animation: rotate 1s linear infinite;
        transform-origin: center center;
        position: absolute;
        top: 0;
        bottom: 0;
        left: 0;
        right: 0;
        margin: auto;
      }

      .app-loading .spinner .path {
        stroke-dasharray: 1, 200;
        stroke-dashoffset: 0;
        animation: dash 1.5s ease-in-out infinite;
        stroke-linecap: round;
        stroke: #206f47;
      }

      @keyframes rotate {
        100% {
          transform: rotate(360deg);
        }
      }

      @keyframes dash {
        0% {
          stroke-dasharray: 50, 200;
          stroke-dashoffset: 0;
        }
        50% {
          stroke-dasharray: 89, 200;
          stroke-dashoffset: -35px;
        }
        100% {
          stroke-dasharray: 89, 200;
          stroke-dashoffset: -124px;
        }
      }

      .app-loading-custom {
        display: none;
      }
    </style>
  </head>
  <body>
    <app-root>
      <div class="app-loading">
        <div class="logo">
          <img src="/assets/images/logo.png?v=1" width="100" alt="K-OFFICE" />
        </div>
        <svg class="spinner" viewBox="25 25 50 50">
          <circle
            class="path"
            cx="50"
            cy="50"
            r="20"
            fill="none"
            stroke-width="2"
            stroke-miterlimit="10"
          />
        </svg>
      </div>
    </app-root>
  </body>
</html>